Robotsystem from Robot Group Leipzig: Joint Class Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Alphabetical List
- Class Hierarchy
- Class Members

# Joint Class Reference

`#include <joint.h>`

Inheritance diagram for Joint:

[legend]
Collaboration diagram for Joint:

[legend]
List of all members.

## Detailed Description

Definition at line 76 of file joint.h.

## Public Member Functions
| Joint (Primitive *part1, Primitive *part2, const osg::Vec3 &anchor)
virtual | ~Joint ()
virtual void | init (const OdeHandle &odeHandle, const OsgHandle &osgHandle, bool withVisual=true, double visualSize=0.2)=0
| initialises (and creates) the joint.
virtual void | update ()=0
| should syncronise the Ode stuff and the OSG notes (if any)
virtual void | setParam (int parameter, double value)=0
| sets the ODE joint parameter (see ODE manual)
virtual double | getParam (int parameter)=0
| return the ODE joint parameter (see ODE manual)
dJointID | getJoint () const
const Primitive * | getPart1 () const
const Primitive * | getPart2 () const
const osg::Vec3 | getAnchor () const
## Static Public Member Functions
static osg::Matrix | anchorAxisPose (const osg::Vec3 &anchor, const Axis &axis)
## Protected Attributes
dJointID | joint
Primitive * | part1
Primitive * | part2
osg::Vec3 | anchor

## Constructor & Destructor Documentation

Joint | ( | Primitive * | part1,
|  | Primitive * | part2,
|  | const osg::Vec3 & | anchor
| ) | `[inline]`

| Definition at line 78 of file joint.h.

~Joint | ( |  | ) | `[virtual]`

| Definition at line 88 of file joint.cpp.

## Member Function Documentation

Matrix anchorAxisPose | ( | const osg::Vec3 & | anchor,
|  | const Axis & | axis
| ) | `[static]`

| Definition at line 84 of file joint.cpp.

const osg::Vec3 getAnchor | ( |  | ) | const`[inline]`

| Definition at line 98 of file joint.h.

dJointID getJoint | ( |  | ) | const`[inline]`

| Definition at line 95 of file joint.h.

virtual double getParam | ( | int | parameter | ) | `[pure virtual]`

| return the ODE joint parameter (see ODE manual) Implemented in FixedJoint, HingeJoint, Hinge2Joint, UniversalJoint, BallJoint, and SliderJoint.

const Primitive* getPart1 | ( |  | ) | const`[inline]`

| Definition at line 96 of file joint.h.

const Primitive* getPart2 | ( |  | ) | const`[inline]`

| Definition at line 97 of file joint.h.

virtual void init | ( | const OdeHandle & | odeHandle,
|  | const OsgHandle & | osgHandle,
|  | bool | withVisual = `true`,
|  | double | visualSize = `0.2`
| ) | `[pure virtual]`

| initialises (and creates) the joint. If visual is true then the joints is also drawn. visualSize is the size of the visual representation. (To be overloaded) Implemented in FixedJoint, HingeJoint, Hinge2Joint, UniversalJoint, BallJoint, and SliderJoint.

virtual void setParam | ( | int | parameter,
|  | double | value
| ) | `[pure virtual]`

| sets the ODE joint parameter (see ODE manual) Implemented in FixedJoint, HingeJoint, Hinge2Joint, UniversalJoint, BallJoint, and SliderJoint.

virtual void update | ( |  | ) | `[pure virtual]`

| should syncronise the Ode stuff and the OSG notes (if any) Implemented in FixedJoint, HingeJoint, Hinge2Joint, UniversalJoint, BallJoint, and SliderJoint.

## Member Data Documentation

osg::Vec3 anchor`[protected]`

| Definition at line 105 of file joint.h.

dJointID joint`[protected]`

| Definition at line 102 of file joint.h.

Primitive* part1`[protected]`

| Definition at line 103 of file joint.h.

Primitive* part2`[protected]`

| Definition at line 104 of file joint.h.